Fibre Channel (SAN)

Reply
Occasional Contributor
Posts: 15
Registered: ‎01-22-2010

Firmware upgrade on 4100 and 4900 switches

Hi,

  • The Brocade 4900's are at Brocade FOS 5.2.0a and 4100's are runing at Brocade FOS 5.1.0a. I need to upgrade them to 6.3.0b. Please let me know if I can upgrade these switches directly to 6.3.0a or do I need to upgrade these to a certain intermediate version before I can upgrade to the latest. Also could you let me know the OS, HBA and other dependencies I need to look into. The OS I am currently is Solaris and IBM AIX.

Regards,

Pons

External Moderator
Posts: 4,907
Registered: ‎02-23-2004

Re: Firmware upgrade on 4100 and 4900 switches

First at all, you are here in the wrong forum, please post at next time in the correct Forum Products, Technology, and Architecture  

About Fabric OS upgrade, see in the Release Notes.

About supported OS and Hardware ( HBA etc. ) see in the Compatibility Matrix link below under Matrices.

http://www.brocade.com/data-center-best-practices/resource-center/index.page

BTW. All this question was posted and answered here in the past at several time.

TechHelp24
Occasional Contributor
Posts: 15
Registered: ‎01-22-2010

Re: Firmware upgrade on 4100 and 4900 switches

thank you very much

Occasional Contributor
Posts: 15
Registered: ‎01-22-2010

Re: Firmware upgrade on 4100 and 4900 switches

Hi Tech,

In the Brocade compatiblity matrix pdf I see that the my OS and HBA versions are compatible with the model of switches that I have (4100 and 4900).

But the compatible matrix does not show matrix between OS & HBA versions and FOS of any models of switches. Should I be looking for this info.

I am keen to know this because I want to be sure after we upgrade to either 6.1.0 or 6.3.0 the host does not lose connectivity to the fabric.

Thanks in advance.

Rgds,

Ponnappa

N/A
Posts: 1
Registered: ‎01-26-2010

Re: Firmware upgrade on 4100 and 4900 switches

Hi,

Any help regarding the below is much appriciated.

Rgds,

Ponnappa

Occasional Contributor
Posts: 5
Registered: ‎09-12-2006

Re: Firmware upgrade on 4100 and 4900 switches

Ponnappa,

    We've done or environment in steps.  5.1.0d to 5.2.1b to 5.3.1b to 6.0.1a and then to 6.1.0c.  I am not sure after the 6.1.0c so you are on your own there.  After the last upgrade, we also performed a reboot for our own satisfaction (not sure if it is required or not).  A fastreboot is done automatically between each.

    Cheers,

- mp

Super Contributor
Posts: 260
Registered: ‎04-09-2008

Re: Firmware upgrade on 4100 and 4900 switches

my personal opinion is that 6.1.0c is not a good version. Select atleast 6.1.0h - this is based on the problems we had after upgrade to 6.1.0c and then brocade recommended 6.1.0h to us. On 6.1.0c webtools is really bad and its impossible to zone since the window freezes. You can see webtools taking up all the cpu and memory during this time.

Occasional Contributor
Posts: 15
Registered: ‎01-22-2010

Re: Firmware upgrade on 4100 and 4900 switches

Thank you mpanchal.

Did you upgrade the core switches first or then the edge switches?

I have seen on one of the discussion that best way forward is to upgrade the core switches first and then the edge switches.

Considering all the servers and storages were connected to Fabric A and Fabric B for resliency and redundancy. Did you upgrade the Fabric A and Fabric B few days apart or did you do at the same time/day. I am highlighting this point for reason:  In case you have a problem with the upgrade you can  instantly use the other fabric for eg; Fabric B (that was not upgraded and still running the old firmware) and resume normal operations.

Rgds,

Ponnappa

Join the Community

Get quick and easy access to valuable resource designed to help you manage your Brocade Network.